Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0012626
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2010-03-10 09:492010-06-07 23:43
ReporterpsarobeView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionc287007d8c96
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP12SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0012626: Toolbar: Search pop-up is not working well

DescriptionThe search pop-up that exists in every window is not working well when one of the filters is a date
Steps To Reproduce1. Go to Sales management->transacations->Sales invocie
2. Filter by invoice date. Date from and date to. Click OK
3. Open again the pop-up and you will notice that the date to fields is not filled any more. THIS IS WRONG

Expected result:
The value that you entered in the "date to" field keeps the value
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0026617)
alostale (developer)
2010-04-23 12:51

The bug is reproducible in case the filter is set in edit mode and doesn't return any value.
(0026618)
hgbot (developer)
2010-04-23 12:52

Repository: erp/devel/pi
Changeset: 8f769fcf0b0a0d2ec4a0be34362e6b8c61cbd4fd
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Apr 23 12:51:39 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8f769fcf0b0a0d2ec4a0be34362e6b8c61cbd4fd [^]

fixed bug 12626: Toolbar: Search pop-up is not working well

---
M src/org/openbravo/reference/ui/UIReference.java
---
(0026669)
arunkumar (reporter)
2010-04-26 09:20

Tested Working fine
(0027281)
hudsonbot (developer)
2010-05-14 15:27

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/8f769fcf0b0a [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/36f76c8d7193 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17198.obx [^]
(0027974)
hgbot (developer)
2010-06-04 14:45

Repository: erp/devel/pi
Changeset: c287007d8c96921f8760f57e5cf7d5ccb51dfe3f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Apr 23 12:51:39 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c287007d8c96921f8760f57e5cf7d5ccb51dfe3f [^]

fixed bug 12626: Toolbar: Search pop-up is not working well

---
M src/org/openbravo/reference/ui/UIReference.java
---
(0028029)
sureshbabu (reporter)
2010-06-07 09:13

Tested(PI oracle) working fine
(0028096)
hudsonbot (developer)
2010-06-07 21:21

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/c287007d8c96 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/8b43a1f2fff4 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17563.obx [^]
(0028138)
hudsonbot (developer)
2010-06-07 23:43

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/c287007d8c96 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/8b43a1f2fff4 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17563.obx [^]

- Issue History
Date Modified Username Field Change
2010-03-10 09:49 psarobe New Issue
2010-03-10 09:49 psarobe Assigned To => alostale
2010-03-10 09:49 psarobe Status new => scheduled
2010-03-10 09:49 psarobe fix_in_branch => pi
2010-04-23 12:51 alostale Note Added: 0026617
2010-04-23 12:52 hgbot Checkin
2010-04-23 12:52 hgbot Note Added: 0026618
2010-04-23 12:52 hgbot Status scheduled => resolved
2010-04-23 12:52 hgbot Resolution open => fixed
2010-04-23 12:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8f769fcf0b0a0d2ec4a0be34362e6b8c61cbd4fd [^]
2010-04-26 09:20 arunkumar Note Added: 0026669
2010-04-26 09:20 arunkumar Status resolved => closed
2010-04-27 00:00 anonymous sf_bug_id 0 => 2992602
2010-05-14 15:27 hudsonbot Checkin
2010-05-14 15:27 hudsonbot Note Added: 0027281
2010-06-04 14:45 hgbot Checkin
2010-06-04 14:45 hgbot Note Added: 0027974
2010-06-04 14:45 hgbot Status closed => resolved
2010-06-04 14:45 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/8f769fcf0b0a0d2ec4a0be34362e6b8c61cbd4fd [^] => http://code.openbravo.com/erp/devel/pi/rev/c287007d8c96921f8760f57e5cf7d5ccb51dfe3f [^]
2010-06-07 09:13 sureshbabu Note Added: 0028029
2010-06-07 09:13 sureshbabu Status resolved => closed
2010-06-07 21:21 hudsonbot Checkin
2010-06-07 21:21 hudsonbot Note Added: 0028096
2010-06-07 23:43 hudsonbot Checkin
2010-06-07 23:43 hudsonbot Note Added: 0028138


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker